#pragma once


// CPPgDisplay2-Dialogfeld

class CPPgDisplay2 : public CPropertyPage
{
	DECLARE_DYNAMIC(CPPgDisplay2)

public:
	CPPgDisplay2();
	virtual ~CPPgDisplay2();
	void Localize(void);

// Dialogfelddaten
	enum { IDD = IDD_PPG_DISPLAY2 };

protected:
	virtual void	DoDataExchange(CDataExchange* pDX);    // DDX/DDV-Unterstützung
	virtual BOOL	OnInitDialog();
	void			LoadSettings(void);
	virtual BOOL	OnApply();

	DECLARE_MESSAGE_MAP()
	afx_msg void OnSettingsChange()					{ SetModified(); }

private:
	enum eTab	{NONE, Display1,Display2};
	CTabCtrl	m_tabCtr;
	eTab		m_currentTab;
	CImageList	m_imageList;
	void		SetTab(eTab tab);
	
public:
	void	InitTab(bool firstinit, int Page = 0);
	afx_msg void OnTcnSelchangeTabDisplay2(NMHDR *pNMHDR, LRESULT *pResult);
};
